--- old/usr/src/uts/common/os/cred.c	Tue Apr 28 02:57:29 2020
+++ new/usr/src/uts/common/os/cred.c	Tue Apr 28 02:57:29 2020
@@ -729,6 +729,14 @@
 	    cr->cr_zone->zone_id);
 }
 
+zoneid_t
+crgetzonedid(const cred_t *cr)
+{
+	return (cr->cr_zone == NULL ?
+	    (cr->cr_uid == -1 ? (zoneid_t)-1 : GLOBAL_ZONEID) :
+	    cr->cr_zone->zone_did);
+}
+
 projid_t
 crgetprojid(const cred_t *cr)
 {
